{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };

  outputs =
    inputs@{
      self,
      nixpkgs,
      ...
    }:
    let
      forSystems = f: nixpkgs.lib.attrsets.genAttrs nixpkgs.lib.systems.flakeExposed (system: f system);
      pkgs' = system: nixpkgs.legacyPackages.${system};
    in
    {
      devShells = forSystems (
        system:
        let
          pkgs = pkgs' system;
        in
        {
          default = pkgs.mkShell {
            packages = with pkgs; [
              corepack_latest
              nodejs
            ];
          };
        }
      );
    };
}
